namespace SteUp.Maui.Core.System;

public partial class HoneywellScannerService
{
    public partial bool IsRightAdapter() => false;

    public partial void Init(Action onDeviceReady) =>
        throw new NotSupportedException("Honeywell SDK non disponibile su iOS.");

    public partial void Deinit() { }

    public partial string GetAdapterName() => "Honeywell";

    public partial void OnKeyEvent(object keyEvent) { }

    public partial void ChangeSettings(List<(string Key, object Value)> settings) { }
}